Bug 152304 - "Utility profiles" missing
"Utility profiles" missing
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: lcms (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phillip Compton
Fedora Extras Quality Assurance
bzcl34nup
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-27 19:30 EST by Michal Jaegermann
Modified: 2009-01-09 01:52 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:52:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2005-03-27 19:30:06 EST
Description of problem:

In http://www.littlecms.com/profiles.zip (see "UTILITY PROFILES" link
on http://www.littlecms.com/ ) there are "all profiles included in the demo
program", whatever that may mean, but which most likely should be a part
of 'lcms' package.  It looks that they should go into '%{_datadir}/lcms'
although I would be inclined to change a suffix consistently everywhere
to '.icm'.

Version-Release number of selected component (if applicable):
1.14-1
Comment 1 Michael Schwendt 2005-07-25 18:27:38 EDT
IMO, "most likely should be part of 'lcms' package" is rather vague. The
README.1ST file mentions an uncertain/unclear licencing situation:

  About profiles
  ==============

    The demo of this package includes some profiles for colorspace
    conversions. I figure all of them are in public domain, but
    since some contains copyright notice, I will enumerate here
    the sources:

         Sun Microsystems Java SDK (widely available)
         Kodak public FTP site: ftp.kodak.com
         ICM Stress demo from microsoft. www.microsoft.com
         sRGB from sRGB site www.srgb.com

    If you found some profile of these not to be in public domain,
    please notify me. I will remove the offending profile as soon as
    posible.

Comment 2 Christian Iseli 2007-01-19 02:20:38 EST
This bug hasn't been updated in a long time and targets FE devel.
Could you please check that it still occurs with current FE devel and update
accordingly ?

Thanks.
Comment 3 Michal Jaegermann 2007-01-19 12:25:40 EST
> Could you please check that it still occurs with current FE devel

In the meantime lcms moved from Extras to Core (and, BTW, the current
version on http://www.littlecms.com/ is 1.16 while 1.15 is in distributions
and that includes "rawhide" as well).  I guess that I better move that
report if only possbile

That the problem is still present it is rather trivial to check
by doing 'rpm -ql lcms | grep -i icm' which comes up empty.  There
are two profiles in lcms sources.  Namely, 'sRGB Color Space Profile.icm',
which shows up there three times with three different time stamps,
and 'sRGBSpac.icm'.  They do not appear in a binary package.

It is far from clear that at least some profiles can be found
at http://www.littlecms.com/newutils.htm#profiles, where more
profiles became available, not it is clear from a documentation
where they should be put.

Without profiles a utility of all this is somewhat, ahem, limited.
Comment 4 Nicolas Chauvet (kwizart) 2008-02-11 05:36:25 EST
It is not clear to me if we can include such icc/icm profiles within Fedora. At
least i'm interested in the subject as oyranos will provides some.
Even if they are in public domain they might been generated from source. And as
such, utilities like argyll (added to Fedora recently) or lprof can help with this.

Comment 5 Bug Zapper 2008-04-03 21:55:02 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 6 Michal Jaegermann 2008-04-03 22:56:54 EDT
What NEEDINFO?  All info which can provided by "third-parties"
is already in comments.
Comment 7 petrosyan 2008-04-04 16:56:30 EDT
Read comment #5 again.

This bug is filed against an unmaintained Fedora release. You are asked to
reproduce this bug on any maintained Fedora (7, 8 or rawhide) and update the
version field accordingly.
Comment 8 Michal Jaegermann 2008-04-04 17:39:25 EDT
Ok, lets make that for Fedora 8.  'rpm -ql lcms' does not show any
profiles.  I think that comment #4 provided some suggestions but
I am not aware of any followups.
Comment 9 Nicolas Chauvet (kwizart) 2008-04-04 18:36:25 EDT
This bug remains indeed.
The oyranos ICC profiles utility has been imported but no icc profiles will be
bundled. (same with argyll) The problem is to figure out the license, and to
generate theses profiles from "a prefered form for edition".

Comment 10 Bug Zapper 2008-11-26 01:49:21 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-01-09 01:52:15 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.